use abacus_core::Output;
use druid::Selector;

pub const PROCESS_WORKBOOK: Selector<()> = Selector::new("process-workbook");
pub const PROCESS_BLOCK: Selector<usize> = Selector::new("process-block");
pub const DELETE_BLOCK: Selector<usize> = Selector::new("delete-block");

pub const RENAME_BLOCK: Selector<usize> = Selector::new("rename-block");

pub const CLOSE_MODAL: Selector<()> = Selector::new("close-modal");

pub const BLOCK_PROCESSED: Selector<(usize, Output)> = Selector::new("block-processed");
