mod dataframe;
mod engine;
mod save_file;

pub use engine::Engine;
pub use engine::Output;
pub use polars::prelude::AnyValue;
pub use save_file::{SaveBlock, SaveFile};

use rhai::EvalAltResult;
type ScriptResult<T> = std::result::Result<T, Box<EvalAltResult>>;
